Cyberduck Mountain Duck CLI

#8385 closed enhancement (fixed)

Usability bug: Trainling slash in server name screws up custom ports

Reported by: christian plessl Owned by: dkocher
Priority: low Milestone: 4.6.4
Component: interface Version: 4.6
Severity: minor Keywords:
Cc: Architecture:
Platform:

Description

I stumbled over the following problem:

When trying to open an sftp connection to server "myserver.example.com/" and port "33333" in the "Open Connection" panel, Cyberduck wrongly infers that the URL for the server is sftp://username@myserver.example.com/:33333/

I know the server name should't have the trailing slash in the first place, so one could blame the user. But I think this should be considered as a usability bug anyway. Adding a trailing slash can happen quickly and the result is unexpected.

Suggested behavior:

  • Since DNS names are not allowed to contain a forward slash, the trailing slash could be silently ignored (or even removed) by Cyberduck
  • Alternative: warn the user that no trailing slash should be used (I prefer the previous behavior)

Change History (4)

comment:1 Changed on Dec 2, 2014 at 2:26:47 PM by dkocher

  • Milestone set to 4.7
  • Priority changed from normal to low
  • Severity changed from normal to minor
  • Status changed from new to assigned
  • Summary changed from Usability bug: Trainling slash in server name screws up custom ports for sftp to Usability bug: Trainling slash in server name screws up custom ports

comment:2 Changed on Jan 21, 2015 at 10:11:18 AM by dkocher

Tests in r16533.

comment:3 Changed on Jan 21, 2015 at 12:39:37 PM by dkocher

  • Milestone changed from 4.7 to 4.6.4

comment:4 Changed on Jan 22, 2015 at 2:41:16 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r16548 and r16549.

Note: See TracTickets for help on using tickets.
swiss made software